کروم با Manifest V3 افزونه‌ های قدیمی رو بازنشسته می‌کنه

کروم با Manifest V3 افزونه‌ های قدیمی رو بازنشسته می‌کنه

از هفته آینده، کروم دیگه به افزونه‌های قدیمی که با Manifest V2 کار می‌کنن رحم نمی‌کنه و کم‌کم می‌فرستتشون بای‌بای!

گوگل داره Manifest V3 رو جایگزین Manifest V2 می‌کنه و این اتفاق از هفته آینده توی کانال‌های پایدار شروع میشه. ️

کروم با Manifest V3

Manifest چی هست؟ Manifest یه جور زبونه که به مرورگر کروم می‌گه یه افزونه چی‌کار می‌کنه و چطوری کار می‌کنه. مثلا اسم افزونه، شماره‌اش، مجوزهایی که می‌خواد و اینکه با چه نسخه‌هایی از کروم سازگار هست رو بهش می‌گه. Manifest جدید می‌تونه دسترسی افزونه‌ها به APIها و قابلیت‌ها رو محدود کنه.

انتقال از V2 به V3 از ۳ ژوئن توی کانال‌های بتا، دیو و Canary کروم شروع می‌شه. برای کانال پایدار هم این تغییرات اوایل سال ۲۰۲۵ اعمال می‌شه.

این خبر واسه خیلی از افزونه‌ها که با V2 کار می‌کنن بد میشه، چون دیگه ازشون پشتیبانی نمی‌شه. توی این بین، چند تا از محبوب‌ترین مسدودکننده‌های تبلیغات هم جزو این قربانی‌ها هستن.

کروم با Manifest V3

اما نگران نباشین! گوگل می‌گه ۸۵٪ از افزونه‌ های فعال توی فروشگاه وب کروم الان با Manifest V3 کار می‌کنن. ‍ علاوه بر این، AdBlock، Adblock Plus، uBlock Origin و AdGuard هم نسخه V3 دارن که می‌تونین ازشون استفاده کنین.

حذف افزونه‌ های V2 از هفته آینده شروع می‌شه، ولی گوگل یهوویی اونا رو غیرفعال نمی‌کنه. توی چند ماه آینده، به کاربرها هشدار داده می‌شه که برن نسخه V3 افزونه‌هاشون رو دانلود کنن و بعد از یه مدت، افزونه‌های V2 غیرفعال می‌شن.

خلاصه که حواست باشه و اگه از یه افزونه V2 استفاده می‌کنی، نسخه V3 اون رو هم پیدا کن تا بعداً به مشکل برنخوری.

__ تکنودات مرجع اخبار تکنولوژی __
منبع androidauthority

نظرتون در مورد این مطلب چیه

آدرس ایمیل شما بصورت عمومی منتشر نخواهد شد.

لطفا از ارسال نظرات بی ربط با این مطلب خودداری نمایید.